﻿namespace DataSharing.Share.Dtos.OtherPlatformsYB
{
    /// <summary>
    /// 受理
    /// </summary>
    public class AddWriteInfoDto : BaseVailCodeDto
    {
        /// <summary>
        /// 姓名
        /// </summary>
        [MDisplayName("姓名")]
        [VRequired]
        [VStringLength(0, 20)]
        public string strUserName { get; set; }

        /// <summary>
        /// 性别 
        /// </summary>
        [MDisplayName("性别 ")]
        [VRequired]
        [VStringLength(0, 1)]
        public string strGender { get; set; }

        /// <summary>
        /// 邮箱 
        /// </summary>
        [MDisplayName("邮箱 ")]
        [VStringLength(0, 100)]
        public string strEmail { get; set; }

        /// <summary>
        /// 电话 
        /// </summary>
        [MDisplayName("电话 ")]
        [VRequired]
        [VStringLength(0, 20)]
        public string strPhone { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [MDisplayName("地址")]
        [VStringLength(0, 200)]
        public string strAddress { get; set; }

        /// <summary>
        /// 受理类型code
        /// </summary>
        [MDisplayName("受理类型code")]
        [VRequired]
        [VStringLength(0, 6)]
        public string strTypeID { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [MDisplayName("标题")]
        [VRequired]
        [VStringLength(0, 200)]
        public string strTitle { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [MDisplayName("内容")]
        [VRequired]
        [VStringLength(0, 7000)]
        public string strContent { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度/查询办理结果
    /// </summary>
    public class GetFlowDetailDto : BaseVailCodeDto
    {
        /// <summary>
        /// 查询编号
        /// </summary>
        [MDisplayName("查询编号")]
        [VRequired]
        [VStringLength(0, 30)]
        public string strCode { get; set; }

        /// <summary>
        /// 查询密码
        /// </summary>
        [MDisplayName("查询密码")]
        [VRequired]
        [VStringLength(0, 10)]
        public string strPwd { get; set; }
    }
}
